Subject: Re: bug#1175: 23.0.60; bookmark code regression

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Oct 2008 09:32:52 -0400

>> Please, please restore the sane behavior of `bookmark-jump-noselect'
>> as it was for Emacs 22: it should return a cons (BUFFER . POINT) when
>> a bookmark is located.
> I discussed with Stefan.  Since bookmark-jump-noselect is an internal
> function of bookmark.el, we don't guarantee that its behavior is
> unchanged across Emacs versions.  Furthermore, the
> bookmark-jump-noselect not only returned (BUFFER . POINT) but also
> preserved the current buffer (and point) instead of changing buffer and
> moving point, whereas the new version does change buffer and point.  So
> it doesn't make sense to change the return value of the new version.

I think there's a slight disagreement: I think it's worthwhile to
preserve the old semantics of bookmark-jump-noselect, but not by
changing the current one: instead, we should rename b-j-n to something
else and write a new b-j-n wrapper.

        Stefan